#
# spec file for package libopensync-plugin-python-module (Version 0.22)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libopensync-plugin-python-module
BuildRequires:  libopensync-devel
Url:            http://www.opensync.org
Version:        0.22
Release:        150.4.1
Summary:        OpenSync module for Python plugins
License:        LGPLv2.1+
Group:          Productivity/Other
AutoReqProv:    on
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       python-opensync
%py_requires

%description
This module allows Python based plugins using OpenSync.

Additionally install the libopensync package.



Authors:
--------
    Eduardo Pereira Habkost <ehabkost@conectiva.com.br>
    Armin Bauer <armin.bauer@desscon.com>

%prep
%setup -q

%build
export SUSE_ASNEEDED=0
autoreconf -sfi
%configure
%{__make} %{?jobs:-j %{jobs}} VERBOSE=1

%install
%makeinstall
# only needed for development
rm $RPM_BUILD_ROOT/%{_libdir}/opensync/plugins/python_module.la
# only an example plugin
rm $RPM_BUILD_ROOT/%{_libdir}/opensync/python-plugins/sample.py

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig -n %{_libdir}/opensync/plugins

%postun
/sbin/ldconfig -n %{_libdir}/opensync/plugins

%files
%defattr(-, root, root)
%{_libdir}/opensync/plugins/python_module.so
%dir %{_libdir}/opensync/python-plugins
#%{_libdir}/opensync/python-plugins/sample.py
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README

%changelog
* Sat Dec 12 2009 masterpatricko@gmail.com
- Build with SUSE_ASNEEDED=0 fixes bnc#557600
* Wed Jul 18 2007 dmueller@suse.de
- use py_requires macro for more accurate requires
* Thu Mar 29 2007 cstender@suse.de
- bumped up version to 0.22
* Mon Nov 20 2006 cstender@suse.de
- fixed specfile (removed rm -rf $RPM_BUILD_ROOT)
* Mon Nov  6 2006 cstender@suse.de
- bumped version to 0.20
* Fri Oct 20 2006 dgollub@suse.de
- initial version of libopensync-plugin-python-module 0.19
